BdbService.closeCursorHandle_result (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.closeCursorHandle_result

- java.lang.Object
- - com.sleepycat.thrift.BdbService.closeCursorHandle_result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.closeCursorHandle_result>, org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>, org.apache.thrift.TSerializable
  Enclosing class:
    BdbService

      public static class BdbService.closeCursorHandle_result
      extends java.lang.Object
      implements org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.closeCursorHandle_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.closeCursorHandle_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TDatabaseException` | `dbe`
    `static java.util.Map<BdbService.closeCursorHandle_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `TRuntimeException` | `re`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `closeCursorHandle_result()`
    `closeCursorHandle_result(BdbService.closeCursorHandle_result other)` Performs a deep copy on other.
    `closeCursorHandle_result(TDatabaseException dbe, TRuntimeException re)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(BdbService.closeCursorHandle_result other)`
    `BdbService.closeCursorHandle_result` | `deepCopy()`
    `boolean` | `equals(BdbService.closeCursorHandle_result that)`
    `boolean` | `equals(java.lang.Object that)`
    `BdbService.closeCursorHandle_result._Fields` | `fieldForId(int fieldId)`
    `TDatabaseException` | `getDbe()`
    `java.lang.Object` | `getFieldValue(BdbService.closeCursorHandle_result._Fields field)`
    `TRuntimeException` | `getRe()`
    `int` | `hashCode()`
    `boolean` | `isSet(BdbService.closeCursorHandle_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDbe()` Returns true if field dbe is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRe()` Returns true if field re is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `BdbService.closeCursorHandle_result` | `setDbe(TDatabaseException dbe)`
    `void` | `setDbeIsSet(boolean value)`
    `void` | `setFieldValue(BdbService.closeCursorHandle_result._Fields field, java.lang.Object value)`
    `BdbService.closeCursorHandle_result` | `setRe(TRuntimeException re)`
    `void` | `setReIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetDbe()`
    `void` | `unsetRe()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dbe

          public TDatabaseException dbe

    - #### re

          public TRuntimeException re

    - #### metaDataMap

          public static final java.util.Map<BdbService.closeCursorHandle_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### closeCursorHandle_result

          public closeCursorHandle_result()

    - #### closeCursorHandle_result

          public closeCursorHandle_result(TDatabaseException dbe,
                                          TRuntimeException re)

    - #### closeCursorHandle_result

          public closeCursorHandle_result(BdbService.closeCursorHandle_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BdbService.closeCursorHandle_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### getDbe

          public TDatabaseException getDbe()

    - #### setDbe

          public BdbService.closeCursorHandle_result setDbe(TDatabaseException dbe)

    - #### unsetDbe

          public void unsetDbe()

    - #### isSetDbe

          public boolean isSetDbe()

      Returns true if field dbe is set (has been assigned a value) and false otherwise

    - #### setDbeIsSet

          public void setDbeIsSet(boolean value)

    - #### getRe

          public TRuntimeException getRe()

    - #### setRe

          public BdbService.closeCursorHandle_result setRe(TRuntimeException re)

    - #### unsetRe

          public void unsetRe()

    - #### isSetRe

          public boolean isSetRe()

      Returns true if field re is set (has been assigned a value) and false otherwise

    - #### setReIsSet

          public void setReIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(BdbService.closeCursorHandle_result._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(BdbService.closeCursorHandle_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### isSet

          public boolean isSet(BdbService.closeCursorHandle_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(BdbService.closeCursorHandle_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(BdbService.closeCursorHandle_result other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BdbService.closeCursorHandle_result>`

    - #### fieldForId

          public BdbService.closeCursorHandle_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<BdbService.closeCursorHandle_result,BdbService.closeCursorHandle_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.